Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracString

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracElement
          org.ka2ddo.opentrac.OpenTracString

All Implemented Interfaces:
  java.io.Serializable

    public class OpenTracString

extends OpenTracElement

This class represents any type of OpenTRAC data element that has one UTF-8-encoded string as its value.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ka2ddo.opentrac.OpenTracElement
`id`

Constructor Summary
`OpenTracString()` Create an uninitialized OpenTracString element.
`OpenTracString(int type, byte[] body, int offset, int length)` Create an OpenTRAC element with a variable-length UTF8 string value from the next series of bytes in an encoded OpenTRAC message.
`OpenTracString(int type, java.lang.String val)` Create an OpenTracString element with the specified OpenTRAC type code and string value.

Method Summary
`int` | `computeBody(byte[] buf, int offset)` Append this element to a message buffer
`boolean` | `equals(OpenTracElement other)` Test if this OpenTracElement has the same type and value as another OpenTracElement.
`int` | `length()` Return the number of bytes needed to encode this element.
`java.lang.String` | `valueString()` Get the string representation of the value of this element.

Methods inherited from class org.ka2ddo.opentrac.OpenTracElement
`getId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenTracString

    public OpenTracString()

  Create an uninitialized OpenTracString element.

### OpenTracString

    public OpenTracString(int type,
                          byte[] body,
                          int offset,
                          int length)

  Create an OpenTRAC element with a variable-length UTF8 string value from the next series of bytes in an encoded OpenTRAC message.

  Parameters:
    `type` - OpenTRAC element type code
    `body` - byte array containing the encoded OpenTRAC elements
    `offset` - starting index in the array where this element begins
    `length` - remaining number of bytes in the OpenTRAC encoded message

### OpenTracString

    public OpenTracString(int type,
                          java.lang.String val)

  Create an OpenTracString element with the specified OpenTRAC type code and string value.

  Parameters:
    `type` - OpenTRAC type code
    `val` - String value

Method Detail

### valueString

    public java.lang.String valueString()

  Get the string representation of the value of this element.

  Specified by:
    `valueString` in class `OpenTracElement`
  Returns:
    value string

### computeBody

    public int computeBody(byte[] buf,
                           int offset)

  Append this element to a message buffer

  Specified by:
    `computeBody` in class `OpenTracElement`
  Parameters:
    `buf` - byte array to add the element to
    `offset` - starting index to store the element
  Returns:
    index after the end of the stored element

### length

    public int length()

  Return the number of bytes needed to encode this element.

  Specified by:
    `length` in class `OpenTracElement`
  Returns:
    byte count needed to hold this element

### equals

    public boolean equals(OpenTracElement other)

  Test if this OpenTracElement has the same type and value as another OpenTracElement.

  Specified by:
    `equals` in class `OpenTracElement`
  Parameters:
    `other` - OpenTracElement to compare against this element
  Returns:
    boolean true if elements are of the same type, class, and value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD